> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delivery_item by ID



## OpenAPI

````yaml get /delivery_item/{id}
openapi: 3.0.0
info:
  title: TrueCold API
  version: 1.0.0
  description: API documentation for TrueCold application
servers:
  - url: https://api.truecold.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: Carriers
    description: Carrier management operations
  - name: Shipments
    description: Shipment tracking and management
  - name: Deliveries
    description: Delivery management operations
  - name: Locations
    description: Location management
  - name: Handling Units
    description: Handling unit operations
  - name: Alerts
    description: Alert system management
  - name: Sensors
    description: Sensor management and monitoring
paths:
  /delivery_item/{id}:
    get:
      tags:
        - Delivery Items
      summary: Get delivery_item by ID
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Delivery_item ID
      responses:
        '200':
          description: Successfully retrieved delivery_item
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Delivery_item'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Delivery_item not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKeyAuth: []
components:
  schemas:
    Delivery_item:
      type: object
      description: Delivery_item entity (API response)
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        delivery_id:
          type: string
          format: uuid
          description: Delivery ID
        item:
          type: string
          description: Item
        material_code:
          type: string
          description: material code
        material_name:
          type: string
          description: material name
        soft_deleted:
          type: string
          format: date-time
          description: Soft deletion timestamp
        soft_deleted_by:
          type: string
          description: User who soft deleted the record
        material_id:
          type: string
          format: uuid
          description: Material ID
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: An error occurred
        code:
          type: string
          description: Error code
          example: ERROR_CODE
        details:
          type: object
          description: Additional error details (optional)
      required:
        - message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Contact your administrator to get an API
        key.

````